API ReferenceDocument signers
Retrieve a Document Signer
GET
Retrieves an existing Document Signer by providing its ID.
Roles
adminissuermanaged-issuercertificate-manager
Analytics Events
MOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_STARTMOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_SUCCESSMOBILE_CREDENTIAL_DOCUMENT_SIGNER_RETRIEVE_FAIL
bearerAuthheader
AuthorizationBearer <token>documentSignerId*stringDocument Signer ID
Format
uuidDocument Signer retrieved
application/json- response
Document signer before a certificate has been uploaded. Includes a Certificate Signing Request (CSR).
id*stringEach Document Signer created on MATTR VII will have a unique identifier which must be provided when using this Document Signer to sign an mDoc.
Format
uuidiacaId*stringUnique identifier of the IACA used to sign the Document Signer.
Format
uuidactive*booleanIndicates the Document Signer status. Only active Document Signers (true) can be used to sign mDocs.
csrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the document signer with the resulting certificate.
curl -X GET "https://example.com/v2/credentials/mobile/document-signers/d2c9f2aa-fc69-4fbc-9b85-0c00591d72f6"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}How would you rate this page?